AIOnboarding
Stored in the aionboardings collection. createdAt and updatedAt are maintained automatically.
Returned by GET /ai-onboarding, POST /ai-onboarding/:id/apply, POST /ai-onboarding/:id/resume, POST /ai-onboarding/:id/suggest, GET /ai-onboarding/latest, PUT /ai-onboarding/latest and 1 more.
| Field | Type | Notes |
|---|---|---|
company | ObjectId -> Company | required |
requestedBy | ObjectId -> Member | default null |
domain | string | default "" |
mode | string | default magic · one of magic, manual |
status | string | default pending · one of pending, running, completed, empty, failed |
enrichment.startedAt | date | default null |
enrichment.completedAt | date | default null |
enrichment.error | string | default "" |
enrichment.raw | any | default null |
data.about | string | default "" |
data.socials | object | default {} |
data.socials.facebook | string | default "" |
data.socials.instagram | string | default "" |
data.socials.linkedin | string | default "" |
data.socials.x | string | default "" |
data.socials.youtube | string | default "" |
data.socials.pinterest | string | default "" |
data.socials.discord | string | default "" |
data.products | object[] | default [] |
data.products.name | string | required |
data.products.url | string | default "" |
suggestions.tags | object[] | default [] |
suggestions.tags.name | string | required |
suggestions.tags.color | string | default "" |
suggestions.tags.description | string | default "" |
suggestions.contactCategories | object[] | default [] |
suggestions.contactCategories.name | string | required |
suggestions.contactCategories.description | string | default "" |
suggestions.productServices | object[] | default [] |
suggestions.productServices.name | string | required |
suggestions.productServices.type | string | default Service |
suggestions.productServices.category | string | default "" |
suggestions.productServices.description | string | default "" |
suggestions.customFields | object[] | default [] |
suggestions.customFields.name | string | required |
suggestions.customFields.panel | string | default contact · one of contact, lead, productService |
suggestions.customFields.fieldType | string | required |
suggestions.customFields.valueType | string | default string |
suggestions.customFields.description | string | default "" |
suggestions.customFields.placeholder | string | default "" |
suggestions.customFields.options | object[] | default [] |
suggestions.customFields.options.label | string | default "" |
suggestions.customFields.options.value | string | default "" |
created.tagIds | ObjectId[] -> Tag | default [] |
created.contactCategoryIds | ObjectId[] -> ContactCategory | default [] |
created.productServiceIds | ObjectId[] -> ProductService | default [] |
created.customFieldIds | ObjectId[] -> CustomField | default [] |
created.socialsAppliedAt | date | default null |
completedOnboardingAt | date | default null |
_id | ObjectId | default "6a95712f932657988a91c022" |
createdAt | date | set once |
updatedAt | date |